# Interface methods for submodule: ApproximateSignedDistanceMapImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: ApproximateSignedDistanceMapImageFilter
class ApproximateSignedDistanceMapImageFilterProxy(_ImageToImageFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	@overload
	def SetInsideValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetInsideValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetInsideValue(self) -> float:
		""""""
		...

	@overload
	def GetInsideValue(self) -> int:
		""""""
		...

	@overload
	def SetOutsideValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetOutsideValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetOutsideValue(self) -> float:
		""""""
		...

	@overload
	def GetOutsideValue(self) -> int:
		""""""
		...

